Some questions about different Mods

GTA V version? Latest
Up to date? Yes
Legit or Pirate copy? Legit
Steam/CD/Social Club? Social Club
Windows version? WIn 10
Did you try to disable/uninstall your Anti-virus? Yep
Did you try to delete caches.xml and try again? Yep
Error screenshot No error

Hi, I’m new to FiveM and theres is little things i don’t understand.

First, i’ve installed FiveM and Server, it works great, no problem.
After that, i’ve installed CouchDB 2.0.0, and launched it with windows console, it works.
I’ve installed EssentialMode, but some errors appears in server log. I’ve created the databse for it in CouchDB and it seems to work.
I’ve installed es_freeroam, and it seems to work after i create the database for it in CouchDB.

But, the problem is, when i go to a weapon shop or outfits shop, i can’t do nothing because no NPC is here for that. Is it normal ?

Second thing, some mods require MYSQL, so, is it normal or i need to use CouchDB and MySQL together in order to work ?

Ty for your awnser. Regards.

If you’re having an issue with an addon (or addons in this case) please, post in the original threads rather than creating a new one.

All the addons that are using SQL are considered outdated as they’re using an old version of EssentialMode which, is no longer supported (so, don’t ask for support with it). As far as I know, you can’t use MySQL and CouchDB at the same time because Kanersps removed the SQL interface in the latest update (so no addons can use it anymore).

1 Like

And, just a little last question : Where can i find a list of mods using CouchDB in order to have an experience similar to GTA Online ?

Because i only see mysql mods here… :confused:

There is no “list” as far as I’m aware… You’ll just have to look around the forum and see if any addons support EssentialMode 3.0

You can always ask the developer to support the latest version of EssentialMode. I think that once the new SQL library gets released EssentialMode will provide backwards compatibility (so to speak) for older addons to use the new library without having to change their code too much.

Ok, i understand. I’m arrived on GTA custom servers at the wrong moment ^^ I’ll wait in that case ^^

This topic was automatically closed 30 days after the last reply. New replies are no longer allowed.